Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.workbench
Class Workbench

    java.lang.Object
      ru.biosoft.workbench.Workbench

All Implemented Interfaces:
  org.eclipse.core.boot.IPlatformRunnable, org.eclipse.core.runtime.IPlatformRunnable

public class Workbench
extends java.lang.Object
implements org.eclipse.core.boot.IPlatformRunnable

Field Summary
`protected static Workbench` | `instance`
`protected static org.apache.log4j.Category` | `log`
`protected MessageBundle` | `resources`

Fields inherited from interface org.eclipse.core.runtime.IPlatformRunnable
`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

Constructor Summary
`Workbench()`

Method Summary
`static void` | `error(org.apache.log4j.Category cat, java.lang.String messageBundleKey, java.lang.String[] params)`
`static void` | `error(org.apache.log4j.Category cat, java.lang.String messageBundleKey, java.lang.String[] params, java.lang.Throwable t)`
`static java.lang.String` | `format(java.lang.String key, java.lang.Object[] args)` Returns the formatted message for the given key in the resource bundle.
`static Workbench` | `getInstance()`
`PerspectiveRegistry` | `getPerspectiveRegistry()`
`static java.lang.String` | `getString(java.lang.String key)` Returns the resource object with the given key in the resource bundle.
`ViewRegistry` | `getViewRegistry()`
`static void` | `log(org.apache.log4j.Category cat, org.apache.log4j.Priority priority, java.lang.String messageBundleKey, java.lang.String[] params, java.lang.Throwable t)`
`java.lang.Object` | `run(java.lang.Object arg)` Runs the workbench.
`protected void` | `startSplash()`
`static void` | `warn(org.apache.log4j.Category cat, java.lang.String messageBundleKey, java.lang.String[] params)`
`static void` | `warn(org.apache.log4j.Category cat, java.lang.String messageBundleKey, java.lang.String[] params, java.lang.Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

### resources

    protected MessageBundle resources

### instance

    protected static Workbench instance

Constructor Detail

### Workbench

    public Workbench()

Method Detail

### format

    public static java.lang.String format(java.lang.String key,
                                          java.lang.Object[] args)

  Returns the formatted message for the given key in the resource bundle.

  Parameters:
    `key` - the resource name
    `args` - the message arguments
  Returns:
    the string

### getString

    public static java.lang.String getString(java.lang.String key)

  Returns the resource object with the given key in the resource bundle. If there isn't any value under the given key, the key is returned.

  Parameters:
    `key` - the resource name
  Returns:
    the string

### error

    public static void error(org.apache.log4j.Category cat,
                             java.lang.String messageBundleKey,
                             java.lang.String[] params)

### error

    public static void error(org.apache.log4j.Category cat,
                             java.lang.String messageBundleKey,
                             java.lang.String[] params,
                             java.lang.Throwable t)

### warn

    public static void warn(org.apache.log4j.Category cat,
                            java.lang.String messageBundleKey,
                            java.lang.String[] params)

### warn

    public static void warn(org.apache.log4j.Category cat,
                            java.lang.String messageBundleKey,
                            java.lang.String[] params,
                            java.lang.Throwable t)

### log

    public static void log(org.apache.log4j.Category cat,
                           org.apache.log4j.Priority priority,
                           java.lang.String messageBundleKey,
                           java.lang.String[] params,
                           java.lang.Throwable t)

### run

    public java.lang.Object run(java.lang.Object arg)

  Runs the workbench.

  Specified by:
    `run` in interface `org.eclipse.core.runtime.IPlatformRunnable`

### startSplash

    protected void startSplash()

### getInstance

    public static Workbench getInstance()

### getViewRegistry

    public ViewRegistry getViewRegistry()

### getPerspectiveRegistry

    public PerspectiveRegistry getPerspectiveRegistry()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.